tar_block_read(3)

NAME
tar_block_read, tar_block_write - macros to call read and write functions for the correct tar archive type

SYNOPSIS
#include <libtar.h>

int tar_block_read(TAR *t, char *buf);

int tar_block_write(TAR *t, char *buf);

VERSION
This man page documents version 1.2 of libtar.

DESCRIPTION
The tar_block_read() and tar_block_write() macros call the read and write functions for the tar archive type associated with the TAR handle t. This type is set when the TAR handle is created using tar_open().

RETURN VALUE
These macros return the same values as the corresponding read and write functions.

SEE ALSO
read(2), write(2), tar_open(3)